Bug 184684 - [EXP-RUN] switch CURRENT to new xorg
[EXP-RUN] switch CURRENT to new xorg
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: Bryan Drewery
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-12-11 12:20 UTC by zeising
Modified: 2013-12-22 15:03 UTC (History)
0 users

See Also:


Attachments
xorg-switch.diff (240.45 KB, patch)
2013-12-11 12:20 UTC, zeising
no flags Details | Diff
xorg-switch.diff (243.96 KB, patch)
2013-12-12 14:21 UTC, Niclas Zeising
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description zeising 2013-12-11 12:20:01 UTC
	Attached patch switches current over to new xorg, and stagifies remaining xorg ports.  Please apply it with svn patch and run an exp-run on FreeBSD current.

	Patch also available at http://people.freebsd.org/~zeising/xorg-switch.2013-12-11.diff
Comment 1 Bryan Drewery freebsd_committer 2013-12-11 12:24:24 UTC
Responsible Changed
From-To: freebsd-ports-bugs->bdrewery

take for exp-run
Comment 2 Niclas Zeising freebsd_committer 2013-12-12 14:21:30 UTC
Attached is an updated patch which fixes several issues related to
staging of xorg ports.  Please use this patch instead.
As always, the patch is also available at
http://people.freebsd.org/~zeising/xorg-switch.diff
Regards!
-- 
Niclas Zeising
Comment 3 dfilter freebsd_committer 2013-12-16 11:11:33 UTC
Author: zeising
Date: Mon Dec 16 11:11:09 2013
New Revision: 336621
URL: http://svnweb.freebsd.org/changeset/ports/336621

Log:
  Switch FreeBSD CURRENT to use the new xorg stack (WITH_NEW_XORG=) [0]
  If the old xorg stack is still needed, it is possible to add WITHOUT_NEW_XORG=
  to /etc/make.conf to get the old version.
  
  Update several xorg related ports, including:
  x11/libxcb 1.9.1 -> 1.9.3
  graphics/libdrm 2.4.46 -> 2.4.50
  x11/pixman 0.30.2 -> 0.32.4
  x11/xkeyboard-config 2.9 -> 2.10.1
  x11-drivers/xf86-input-keyboard 1.7.0 -> 1.8.0
  
  Fix dissapearing cursor in xf86-video-vmware [2]
  
  Stagify all x11@-owned ports
  
  Bump portrevisions for xf86-* ports due to xserver version change.
  
  Fix fallout from updates where needed.
  
  Thanks to:	all testersi, bdrewery and the FreeBSD x11@ team
  exp-run by:	bdrewery [1]
  PR:		ports/184684 [1], ports/181385 [2]
  Submitted by:	Douglas Carmichael <dcarmich@dcarmichael.net> [2]
  Approved by:	portmgr (bdrewery), core (jhb) [0]

Added:
  head/graphics/libdrm/files/extra-tests__radeon__radeon_ttm.c   (contents, props changed)
  head/x11-drivers/xf86-input-keyboard/files/patch-src__bsd_kbd.c   (contents, props changed)
  head/x11-drivers/xf86-input-keyboard/files/patch-src__kbd.c   (contents, props changed)
  head/x11-drivers/xf86-video-vmware/files/
  head/x11-drivers/xf86-video-vmware/files/patch-src_vmware.c   (contents, props changed)
  head/x11/dri3proto/
  head/x11/dri3proto/Makefile   (contents, props changed)
  head/x11/dri3proto/distinfo   (contents, props changed)
  head/x11/dri3proto/pkg-descr   (contents, props changed)
  head/x11/dri3proto/pkg-plist   (contents, props changed)
  head/x11/libxcb/files/patch-src__c_client.py   (contents, props changed)
  head/x11/libxshmfence/
  head/x11/libxshmfence/Makefile   (contents, props changed)
  head/x11/libxshmfence/distinfo   (contents, props changed)
  head/x11/libxshmfence/files/
  head/x11/libxshmfence/files/patch-config.h.in   (contents, props changed)
  head/x11/libxshmfence/files/patch-configure   (contents, props changed)
  head/x11/libxshmfence/files/patch-src__xshmfence_alloc.c   (contents, props changed)
  head/x11/libxshmfence/files/patch-src__xshmfence_futex.h   (contents, props changed)
  head/x11/libxshmfence/files/patch-src__xshmfenceint.h   (contents, props changed)
  head/x11/libxshmfence/pkg-descr   (contents, props changed)
  head/x11/libxshmfence/pkg-plist   (contents, props changed)
  head/x11/presentproto/
  head/x11/presentproto/Makefile   (contents, props changed)
  head/x11/presentproto/distinfo   (contents, props changed)
  head/x11/presentproto/pkg-descr   (contents, props changed)
  head/x11/presentproto/pkg-plist   (contents, props changed)
  head/x11/xcb-proto/files/
  head/x11/xcb-proto/files/patch-src_sync.xml   (contents, props changed)
  head/x11/xtrans/files/
  head/x11/xtrans/files/patch-Xtransint.h   (contents, props changed)
Deleted:
  head/x11/libxcb/files/patch-Makefile.in
  head/x11/xkeyboard-config/files/etersoft-patch-symbols-typo
Modified:
  head/Mk/bsd.port.mk
  head/Mk/bsd.xorg.mk
  head/UPDATING
  head/astro/viking/Makefile
  head/cad/pdnmesh/Makefile
  head/cad/repsnapper/Makefile
  head/deskutils/pinot/Makefile
  head/devel/gccmakedep/Makefile
  head/devel/libpciaccess/Makefile
  head/devel/makedepend/Makefile
  head/devel/xorg-macros/Makefile
  head/devel/xorg-macros/distinfo
  head/emulators/catapult/Makefile
  head/emulators/qemu-devel/Makefile
  head/emulators/tme/Makefile
  head/emulators/virtualbox-ose-additions/Makefile
  head/games/fuhquake/files/Makefile
  head/games/klavaro/Makefile
  head/graphics/cairo/Makefile
  head/graphics/freeglut/Makefile
  head/graphics/libdrm/Makefile
  head/graphics/libdrm/distinfo
  head/graphics/libdrm/files/extra-tests_modetest_Makefile.in
  head/graphics/libdrm/files/extra-tests_modetest_modetest.c
  head/graphics/libdrm/pkg-plist
  head/graphics/libreatlas/Makefile
  head/graphics/mesa-demos/Makefile
  head/multimedia/freetuxtv/Makefile
  head/net/cvsup/Makefile
  head/net/tigervnc/Makefile
  head/print/photoprint/Makefile
  head/sysutils/gtk-imonc/Makefile
  head/sysutils/nitrogen/Makefile
  head/textproc/xorg-sgml-doctools/Makefile
  head/x11-clocks/oclock/Makefile
  head/x11-clocks/oclock/pkg-plist
  head/x11-clocks/xclock/Makefile
  head/x11-clocks/xclock/pkg-plist
  head/x11-drivers/input-wacom/Makefile
  head/x11-drivers/xf86-input-acecad/Makefile
  head/x11-drivers/xf86-input-acecad/pkg-plist
  head/x11-drivers/xf86-input-elographics/Makefile
  head/x11-drivers/xf86-input-elographics/pkg-plist
  head/x11-drivers/xf86-input-fpit/Makefile
  head/x11-drivers/xf86-input-hyperpen/Makefile
  head/x11-drivers/xf86-input-joystick/Makefile
  head/x11-drivers/xf86-input-joystick/pkg-plist
  head/x11-drivers/xf86-input-keyboard/Makefile
  head/x11-drivers/xf86-input-keyboard/distinfo
  head/x11-drivers/xf86-input-keyboard/pkg-plist
  head/x11-drivers/xf86-input-magictouch/Makefile
  head/x11-drivers/xf86-input-magictouch/pkg-plist
  head/x11-drivers/xf86-input-mouse/Makefile
  head/x11-drivers/xf86-input-mouse/pkg-plist
  head/x11-drivers/xf86-input-mutouch/Makefile
  head/x11-drivers/xf86-input-mutouch/pkg-plist
  head/x11-drivers/xf86-input-penmount/Makefile
  head/x11-drivers/xf86-input-penmount/pkg-plist
  head/x11-drivers/xf86-input-synaptics/Makefile
  head/x11-drivers/xf86-input-synaptics/distinfo
  head/x11-drivers/xf86-input-synaptics/pkg-plist
  head/x11-drivers/xf86-input-vmmouse/Makefile
  head/x11-drivers/xf86-input-vmmouse/pkg-plist
  head/x11-drivers/xf86-input-void/Makefile
  head/x11-drivers/xf86-input-void/pkg-plist
  head/x11-drivers/xf86-video-apm/Makefile
  head/x11-drivers/xf86-video-apm/pkg-plist
  head/x11-drivers/xf86-video-ark/Makefile
  head/x11-drivers/xf86-video-ati/Makefile
  head/x11-drivers/xf86-video-ati/pkg-plist
  head/x11-drivers/xf86-video-chips/Makefile
  head/x11-drivers/xf86-video-chips/pkg-plist
  head/x11-drivers/xf86-video-cirrus/Makefile
  head/x11-drivers/xf86-video-cirrus/pkg-plist
  head/x11-drivers/xf86-video-cyrix/Makefile
  head/x11-drivers/xf86-video-cyrix/pkg-plist
  head/x11-drivers/xf86-video-dummy/Makefile
  head/x11-drivers/xf86-video-fbdev/Makefile
  head/x11-drivers/xf86-video-fbdev/pkg-plist
  head/x11-drivers/xf86-video-glint/Makefile
  head/x11-drivers/xf86-video-glint/pkg-plist
  head/x11-drivers/xf86-video-i128/Makefile
  head/x11-drivers/xf86-video-i128/pkg-plist
  head/x11-drivers/xf86-video-i740/Makefile
  head/x11-drivers/xf86-video-i740/pkg-plist
  head/x11-drivers/xf86-video-imstt/Makefile
  head/x11-drivers/xf86-video-imstt/pkg-plist
  head/x11-drivers/xf86-video-intel/Makefile
  head/x11-drivers/xf86-video-intel/pkg-plist
  head/x11-drivers/xf86-video-mach64/Makefile
  head/x11-drivers/xf86-video-mga/Makefile
  head/x11-drivers/xf86-video-neomagic/Makefile
  head/x11-drivers/xf86-video-newport/Makefile
  head/x11-drivers/xf86-video-newport/pkg-plist
  head/x11-drivers/xf86-video-nouveau/Makefile
  head/x11-drivers/xf86-video-nouveau/pkg-plist
  head/x11-drivers/xf86-video-nv/Makefile
  head/x11-drivers/xf86-video-nv/pkg-plist
  head/x11-drivers/xf86-video-openchrome/Makefile
  head/x11-drivers/xf86-video-openchrome/pkg-plist
  head/x11-drivers/xf86-video-r128/Makefile
  head/x11-drivers/xf86-video-radeonhd/Makefile
  head/x11-drivers/xf86-video-radeonhd/pkg-plist
  head/x11-drivers/xf86-video-rdc/Makefile
  head/x11-drivers/xf86-video-rendition/Makefile
  head/x11-drivers/xf86-video-rendition/pkg-plist
  head/x11-drivers/xf86-video-s3/Makefile
  head/x11-drivers/xf86-video-s3/pkg-plist
  head/x11-drivers/xf86-video-s3virge/Makefile
  head/x11-drivers/xf86-video-s3virge/pkg-plist
  head/x11-drivers/xf86-video-savage/Makefile
  head/x11-drivers/xf86-video-siliconmotion/Makefile
  head/x11-drivers/xf86-video-siliconmotion/pkg-plist
  head/x11-drivers/xf86-video-sis-intel/Makefile
  head/x11-drivers/xf86-video-sis/Makefile
  head/x11-drivers/xf86-video-sis/pkg-plist
  head/x11-drivers/xf86-video-sunffb/Makefile
  head/x11-drivers/xf86-video-tdfx/Makefile
  head/x11-drivers/xf86-video-tdfx/pkg-plist
  head/x11-drivers/xf86-video-tga/Makefile
  head/x11-drivers/xf86-video-trident/Makefile
  head/x11-drivers/xf86-video-trident/pkg-plist
  head/x11-drivers/xf86-video-tseng/Makefile
  head/x11-drivers/xf86-video-tseng/pkg-plist
  head/x11-drivers/xf86-video-vesa/Makefile
  head/x11-drivers/xf86-video-vesa/pkg-plist
  head/x11-drivers/xf86-video-via/Makefile
  head/x11-drivers/xf86-video-via/pkg-plist
  head/x11-drivers/xf86-video-vmware/Makefile
  head/x11-drivers/xf86-video-vmware/pkg-plist
  head/x11-drivers/xf86-video-voodoo/Makefile
  head/x11-drivers/xf86-video-voodoo/pkg-plist
  head/x11-drivers/xorg-drivers/Makefile
  head/x11-fonts/bdftopcf/Makefile
  head/x11-fonts/encodings/Makefile
  head/x11-fonts/font-adobe-100dpi/Makefile
  head/x11-fonts/font-adobe-75dpi/Makefile
  head/x11-fonts/font-adobe-utopia-100dpi/Makefile
  head/x11-fonts/font-adobe-utopia-75dpi/Makefile
  head/x11-fonts/font-adobe-utopia-type1/Makefile
  head/x11-fonts/font-alias/Makefile
  head/x11-fonts/font-arabic-misc/Makefile
  head/x11-fonts/font-bh-100dpi/Makefile
  head/x11-fonts/font-bh-75dpi/Makefile
  head/x11-fonts/font-bh-lucidatypewriter-100dpi/Makefile
  head/x11-fonts/font-bh-lucidatypewriter-75dpi/Makefile
  head/x11-fonts/font-bh-ttf/Makefile
  head/x11-fonts/font-bh-type1/Makefile
  head/x11-fonts/font-bitstream-100dpi/Makefile
  head/x11-fonts/font-bitstream-75dpi/Makefile
  head/x11-fonts/font-bitstream-speedo/Makefile
  head/x11-fonts/font-bitstream-type1/Makefile
  head/x11-fonts/font-cronyx-cyrillic/Makefile
  head/x11-fonts/font-cursor-misc/Makefile
  head/x11-fonts/font-daewoo-misc/Makefile
  head/x11-fonts/font-dec-misc/Makefile
  head/x11-fonts/font-ibm-type1/Makefile
  head/x11-fonts/font-isas-misc/Makefile
  head/x11-fonts/font-jis-misc/Makefile
  head/x11-fonts/font-micro-misc/Makefile
  head/x11-fonts/font-misc-cyrillic/Makefile
  head/x11-fonts/font-misc-ethiopic/Makefile
  head/x11-fonts/font-misc-meltho/Makefile
  head/x11-fonts/font-misc-misc/Makefile
  head/x11-fonts/font-mutt-misc/Makefile
  head/x11-fonts/font-schumacher-misc/Makefile
  head/x11-fonts/font-screen-cyrillic/Makefile
  head/x11-fonts/font-sony-misc/Makefile
  head/x11-fonts/font-sun-misc/Makefile
  head/x11-fonts/font-util/Makefile
  head/x11-fonts/font-util/pkg-plist
  head/x11-fonts/font-winitzki-cyrillic/Makefile
  head/x11-fonts/font-xfree86-type1/Makefile
  head/x11-fonts/fonttosfnt/Makefile
  head/x11-fonts/fslsfonts/Makefile
  head/x11-fonts/libXfont/Makefile
  head/x11-fonts/libXfontcache/Makefile
  head/x11-fonts/libXfontcache/pkg-plist
  head/x11-fonts/mkfontdir/Makefile
  head/x11-fonts/mkfontscale/Makefile
  head/x11-fonts/showfont/Makefile
  head/x11-fonts/xfontsel/Makefile
  head/x11-fonts/xfontsel/pkg-plist
  head/x11-fonts/xfs/Makefile
  head/x11-fonts/xfs/pkg-plist
  head/x11-fonts/xfsinfo/Makefile
  head/x11-fonts/xlsfonts/Makefile
  head/x11-fonts/xorg-fonts-100dpi/Makefile
  head/x11-fonts/xorg-fonts-75dpi/Makefile
  head/x11-fonts/xorg-fonts-cyrillic/Makefile
  head/x11-fonts/xorg-fonts-miscbitmaps/Makefile
  head/x11-fonts/xorg-fonts-truetype/Makefile
  head/x11-fonts/xorg-fonts-type1/Makefile
  head/x11-fonts/xorg-fonts/Makefile
  head/x11-servers/mga_hal/Makefile
  head/x11-servers/xephyr/Makefile
  head/x11-servers/xorg-dmx/Makefile
  head/x11-servers/xorg-dmx/pkg-plist
  head/x11-servers/xorg-nestserver/Makefile
  head/x11-servers/xorg-server/Makefile
  head/x11-servers/xorg-server/pkg-plist
  head/x11-servers/xorg-vfbserver/Makefile
  head/x11-themes/gtk-murrine-engine/Makefile
  head/x11-themes/xcursor-themes/Makefile
  head/x11-toolkits/gtkglext/Makefile
  head/x11-toolkits/libXaw/Makefile
  head/x11-toolkits/libXaw/pkg-plist
  head/x11-toolkits/libXmu/Makefile
  head/x11-toolkits/libXt/Makefile
  head/x11-toolkits/libXt/pkg-plist
  head/x11-toolkits/termit/Makefile
  head/x11-wm/awesome/Makefile
  head/x11-wm/transset/Makefile
  head/x11-wm/xcompmgr/Makefile
  head/x11/Makefile
  head/x11/beforelight/Makefile
  head/x11/beforelight/pkg-plist
  head/x11/bitmap/Makefile
  head/x11/bitmap/pkg-plist
  head/x11/editres/Makefile
  head/x11/editres/pkg-plist
  head/x11/fstobdf/Makefile
  head/x11/glproto/Makefile
  head/x11/glproto/distinfo
  head/x11/iceauth/Makefile
  head/x11/ico/Makefile
  head/x11/libXScrnSaver/Makefile
  head/x11/libXScrnSaver/pkg-plist
  head/x11/libXTrap/Makefile
  head/x11/libXau/Makefile
  head/x11/libXau/pkg-plist
  head/x11/libXcomposite/Makefile
  head/x11/libXcomposite/pkg-plist
  head/x11/libXcursor/Makefile
  head/x11/libXcursor/pkg-plist
  head/x11/libXdamage/Makefile
  head/x11/libXevie/Makefile
  head/x11/libXevie/pkg-plist
  head/x11/libXext/Makefile
  head/x11/libXext/pkg-plist
  head/x11/libXfixes/Makefile
  head/x11/libXfixes/pkg-plist
  head/x11/libXi/Makefile
  head/x11/libXi/pkg-plist
  head/x11/libXinerama/Makefile
  head/x11/libXinerama/pkg-plist
  head/x11/libXp/Makefile
  head/x11/libXp/pkg-plist
  head/x11/libXpm/Makefile
  head/x11/libXpm/pkg-plist
  head/x11/libXrandr/Makefile
  head/x11/libXrandr/pkg-plist
  head/x11/libXrender/Makefile
  head/x11/libXres/Makefile
  head/x11/libXres/pkg-plist
  head/x11/libXtst/Makefile
  head/x11/libXtst/pkg-plist
  head/x11/libXv/Makefile
  head/x11/libXv/pkg-plist
  head/x11/libXvMC/Makefile
  head/x11/libXxf86dga/Makefile
  head/x11/libXxf86dga/pkg-plist
  head/x11/libXxf86misc/Makefile
  head/x11/libXxf86misc/pkg-plist
  head/x11/libXxf86vm/Makefile
  head/x11/libXxf86vm/pkg-plist
  head/x11/libdmx/Makefile
  head/x11/libdmx/pkg-plist
  head/x11/libxcb/Makefile
  head/x11/libxcb/distinfo
  head/x11/libxcb/pkg-plist
  head/x11/libxkbfile/Makefile
  head/x11/listres/Makefile
  head/x11/luit/Makefile
  head/x11/mkcomposecache/Makefile
  head/x11/pixman/Makefile
  head/x11/pixman/distinfo
  head/x11/printproto/Makefile
  head/x11/printproto/pkg-plist
  head/x11/rstart/Makefile
  head/x11/rstart/pkg-plist
  head/x11/scripts/Makefile
  head/x11/scripts/pkg-plist
  head/x11/sessreg/Makefile
  head/x11/setxkbmap/Makefile
  head/x11/smproxy/Makefile
  head/x11/trapproto/Makefile
  head/x11/viewres/Makefile
  head/x11/x11perf/Makefile
  head/x11/x11perf/pkg-plist
  head/x11/xcalc/Makefile
  head/x11/xcalc/pkg-plist
  head/x11/xcb-proto/Makefile
  head/x11/xcb-proto/distinfo
  head/x11/xcb-proto/pkg-plist
  head/x11/xclipboard/Makefile
  head/x11/xclipboard/pkg-plist
  head/x11/xcmsdb/Makefile
  head/x11/xconsole/Makefile
  head/x11/xconsole/pkg-plist
  head/x11/xdbedizzy/Makefile
  head/x11/xditview/Makefile
  head/x11/xditview/pkg-plist
  head/x11/xdm/Makefile
  head/x11/xdm/pkg-plist
  head/x11/xdpyinfo/Makefile
  head/x11/xdriinfo/Makefile
  head/x11/xedit/Makefile
  head/x11/xedit/pkg-plist
  head/x11/xev/Makefile
  head/x11/xeyes/Makefile
  head/x11/xf86dga/Makefile
  head/x11/xfindproxy/Makefile
  head/x11/xfwp/Makefile
  head/x11/xgamma/Makefile
  head/x11/xgc/Makefile
  head/x11/xgc/pkg-plist
  head/x11/xhost/Makefile
  head/x11/xinit/Makefile
  head/x11/xinit/pkg-plist
  head/x11/xinput/Makefile
  head/x11/xkbcomp/Makefile
  head/x11/xkbevd/Makefile
  head/x11/xkbprint/Makefile
  head/x11/xkbutils/Makefile
  head/x11/xkbutils/pkg-plist
  head/x11/xkeyboard-config/Makefile
  head/x11/xkeyboard-config/distinfo
  head/x11/xkeyboard-config/pkg-plist
  head/x11/xkill/Makefile
  head/x11/xload/Makefile
  head/x11/xload/pkg-plist
  head/x11/xlogo/Makefile
  head/x11/xlogo/pkg-plist
  head/x11/xlsatoms/Makefile
  head/x11/xlsclients/Makefile
  head/x11/xmag/Makefile
  head/x11/xmag/pkg-plist
  head/x11/xman/Makefile
  head/x11/xman/pkg-plist
  head/x11/xmessage/Makefile
  head/x11/xmessage/pkg-plist
  head/x11/xmh/Makefile
  head/x11/xmh/pkg-plist
  head/x11/xmodmap/Makefile
  head/x11/xmore/Makefile
  head/x11/xmore/pkg-plist
  head/x11/xorg-apps/Makefile
  head/x11/xorg-docs/Makefile
  head/x11/xorg-docs/pkg-plist
  head/x11/xorg-libraries/Makefile
  head/x11/xorg/Makefile
  head/x11/xplsprinters/Makefile
  head/x11/xprehashprinterlist/Makefile
  head/x11/xprop/Makefile
  head/x11/xproto/Makefile
  head/x11/xproto/distinfo
  head/x11/xrandr/Makefile
  head/x11/xrdb/Makefile
  head/x11/xrefresh/Makefile
  head/x11/xrx/Makefile
  head/x11/xrx/pkg-plist
  head/x11/xsetmode/Makefile
  head/x11/xsetpointer/Makefile
  head/x11/xtrans/Makefile
  head/x11/xtrans/distinfo
  head/x11/xtrans/pkg-plist
  head/x11/xvidtune/Makefile
  head/x11/xvmcinfo/Makefile

Modified: head/Mk/bsd.port.mk
==============================================================================
--- head/Mk/bsd.port.mk	Mon Dec 16 11:09:21 2013	(r336620)
+++ head/Mk/bsd.port.mk	Mon Dec 16 11:11:09 2013	(r336621)
@@ -1222,6 +1222,16 @@ WITH_PKGNG?=	yes
 .endif
 .endif
 
+# Enable new xorg for FreeBSD versions after Radeon KMS was imported unless
+# WITHOUT_NEW_XORG is set.
+.if ${OSVERSION} >= 1100000
+. if !defined(WITHOUT_NEW_XORG)
+WITH_NEW_XORG?=	yes
+. else
+.undef WITH_NEW_XORG
+. endif
+.endif
+
 # Only define tools here (for transition period with between pkg tools)
 .include "${PORTSDIR}/Mk/bsd.commands.mk"
 

Modified: head/Mk/bsd.xorg.mk
==============================================================================
--- head/Mk/bsd.xorg.mk	Mon Dec 16 11:09:21 2013	(r336620)
+++ head/Mk/bsd.xorg.mk	Mon Dec 16 11:11:09 2013	(r336621)
@@ -56,21 +56,15 @@ USE_XORG+=      xorg-macros
 . endif
 
 . if ${XORG_CAT} == "driver"
-USE_XORG+=	xorg-server xproto randrproto xi
+USE_XORG+=	xorg-server xproto randrproto xi renderproto xextproto \
+			inputproto kbproto fontsproto videoproto dri2proto xf86driproto \
+			glproto xineramaproto resourceproto scrnsaverproto
 # work around a llvm bug on i386, llvm bug #15806 
 # reproduced with clang 3.2 (current release) and 3.1
 .  if ${ARCH} == i386
 CFLAGS+=	-fno-optimize-sibling-calls
 .  endif
 CONFIGURE_ENV+=	DRIVER_MAN_SUFFIX=4x DRIVER_MAN_DIR='$$(mandir)/man4'
-.  if ${PORTNAME:M*input*}x != x
-USE_XORG+=	inputproto videoproto fontsproto renderproto xextproto \
-		dri2proto
-.  elif ${PORTNAME:M*video*}x != x
-USE_XORG+=	videoproto fontsproto renderproto xextproto dri2proto
-.  else
-IGNORE=		doesn't contain either "video" or "input"
-.  endif
 . endif
 
 . if ${XORG_CAT} == "font"
@@ -147,7 +141,7 @@ USES+=	pathfix
 CONFIGURE_ARGS+=	--with-xkb-path=${LOCALBASE}/share/X11/xkb
 
 LIB_PC_DEPENDS+=	${LOCALBASE}/libdata/pkgconfig/dri.pc:${PORTSDIR}/graphics/dri
-USE_XORG+=	pciaccess xextproto videoproto fontsproto dri2proto
+USE_XORG+=	pciaccess xextproto videoproto fontsproto dri2proto fontutil:build
 . endif
 
 .endif
@@ -171,6 +165,7 @@ XORG_MODULES=	bigreqsproto \
 				dmx \
 				dmxproto \
 				dri2proto \
+				dri3proto \
 				evieproto \
 				fixesproto \
 				fontcacheproto \
@@ -185,6 +180,7 @@ XORG_MODULES=	bigreqsproto \
 				oldx \
 				pciaccess \
 				pixman \
+				presentproto \
 				printproto \
 				randrproto \
 				recordproto \
@@ -238,6 +234,7 @@ XORG_MODULES=	bigreqsproto \
 				xrender \
 				xres \
 				xscrnsaver \
+				xshmfence \
 				xt \
 				xtrans \
 				xtrap \
@@ -254,6 +251,7 @@ damageproto_BUILD_DEPENDS=	${LOCALBASE}/
 dmx_LIB_PC_DEPENDS=		${LOCALBASE}/libdata/pkgconfig/dmx.pc:${PORTSDIR}/x11/libdmx
 dmxproto_BUILD_DEPENDS=		${LOCALBASE}/libdata/pkgconfig/dmxproto.pc:${PORTSDIR}/x11/dmxproto
 dri2proto_BUILD_DEPENDS=	${LOCALBASE}/libdata/pkgconfig/dri2proto.pc:${PORTSDIR}/x11/dri2proto
+dri3proto_BUILD_DEPENDS=	${LOCALBASE}/libdata/pkgconfig/dri3proto.pc:${PORTSDIR}/x11/dri3proto
 evieproto_BUILD_DEPENDS=	${LOCALBASE}/libdata/pkgconfig/evieproto.pc:${PORTSDIR}/x11/evieext
 fixesproto_BUILD_DEPENDS=	${LOCALBASE}/libdata/pkgconfig/fixesproto.pc:${PORTSDIR}/x11/fixesproto
 fontcacheproto_BUILD_DEPENDS=	${LOCALBASE}/libdata/pkgconfig/fontcacheproto.pc:${PORTSDIR}/x11-fonts/fontcacheproto
@@ -268,6 +266,7 @@ libfs_LIB_PC_DEPENDS=		${LOCALBASE}/libd
 oldx_LIB_PC_DEPENDS=		${LOCALBASE}/libdata/pkgconfig/oldx.pc:${PORTSDIR}/x11/liboldX
 pciaccess_LIB_PC_DEPENDS=	${LOCALBASE}/libdata/pkgconfig/pciaccess.pc:${PORTSDIR}/devel/libpciaccess
 pixman_LIB_PC_DEPENDS=		${LOCALBASE}/libdata/pkgconfig/pixman-1.pc:${PORTSDIR}/x11/pixman
+presentproto_BUILD_DEPENDS=	${LOCALBASE}/libdata/pkgconfig/presentproto.pc:${PORTSDIR}/x11/presentproto
 printproto_BUILD_DEPENDS=	${LOCALBASE}/libdata/pkgconfig/printproto.pc:${PORTSDIR}/x11/printproto
 randrproto_BUILD_DEPENDS=	${LOCALBASE}/libdata/pkgconfig/randrproto.pc:${PORTSDIR}/x11/randrproto
 recordproto_BUILD_DEPENDS=	${LOCALBASE}/libdata/pkgconfig/recordproto.pc:${PORTSDIR}/x11/recordproto
@@ -322,6 +321,7 @@ xrender_LIB_PC_DEPENDS=		${LOCALBASE}/li
 xres_LIB_PC_DEPENDS=		${LOCALBASE}/libdata/pkgconfig/xres.pc:${PORTSDIR}/x11/libXres
 xscrnsaver_LIB_PC_DEPENDS=	${LOCALBASE}/libdata/pkgconfig/xscrnsaver.pc:${PORTSDIR}/x11/libXScrnSaver
 xt_LIB_PC_DEPENDS=		${LOCALBASE}/libdata/pkgconfig/xt.pc:${PORTSDIR}/x11-toolkits/libXt
+xshmfence_LIB_PC_DEPENDS=	${LOCALBASE}/libdata/pkgconfig/xshmfence.pc:${PORTSDIR}/x11/libxshmfence
 xtrans_BUILD_DEPENDS=		${LOCALBASE}/libdata/pkgconfig/xtrans.pc:${PORTSDIR}/x11/xtrans
 xtrap_LIB_PC_DEPENDS=		${LOCALBASE}/libdata/pkgconfig/xtrap.pc:${PORTSDIR}/x11/libXTrap
 xtst_LIB_PC_DEPENDS=		${LOCALBASE}/libdata/pkgconfig/xtst.pc:${PORTSDIR}/x11/libXtst

Modified: head/UPDATING
==============================================================================
--- head/UPDATING	Mon Dec 16 11:09:21 2013	(r336620)
+++ head/UPDATING	Mon Dec 16 11:11:09 2013	(r336621)
@@ -5,6 +5,35 @@ they are unavoidable.
 You should get into the habit of checking this file for changes each time
 you update your ports collection, before attempting any port upgrades.
 
+20131216:
+  AFFECTS: users of x11/xorg, graphics/libGL, graphics/dri, all xorg ports
+  AUTHOR: zeising@FreeBSD.org
+
+  The default xorg version has been switched on FreeBSD CURRENT.
+
+  To upgrade graphics/libGL, graphics/dri and related MESA ports, it is
+  neccessary to first remove the old versions of those ports.
+  No special upgrade procedure is needed for xorg port but it is
+  necessary to recompile all xorg drivers (xf86-*) and other ports that
+  depend on the xserver version, including
+  emulators/virtualbox-ose-additions.  Portrevisions have been bumped
+  where needed, but users of drivers not in the ports tree will need to
+  recompile those.
+
+  If it is important to stay on the old versions, it is possible to
+  specify WITHOUT_NEW_XORG= in /etc/make.conf to get the old xorg
+  distribution.
+
+  To update:
+
+  # pkg_delete -f libGL-\* dri-\*
+    or
+  # pkg delete -f libGL dri
+    followed by
+  # portmaster -a
+    or
+  # portupgrade -a
+
 20131214:
   AFFECTS: users of databases/db4*
   AUTHOR: mandree@FreeBSD.org

Modified: head/astro/viking/Makefile
==============================================================================
--- head/astro/viking/Makefile	Mon Dec 16 11:09:21 2013	(r336620)
+++ head/astro/viking/Makefile	Mon Dec 16 11:11:09 2013	(r336621)
@@ -3,6 +3,7 @@
 
 PORTNAME=	viking
 PORTVERSION=	1.5
+PORTREVISION=	1
 CATEGORIES=	astro
 MASTER_SITES=	SF/${PORTNAME}/
 

Modified: head/cad/pdnmesh/Makefile
==============================================================================
--- head/cad/pdnmesh/Makefile	Mon Dec 16 11:09:21 2013	(r336620)
+++ head/cad/pdnmesh/Makefile	Mon Dec 16 11:11:09 2013	(r336621)
@@ -3,7 +3,7 @@
 
 PORTNAME=	pdnmesh
 PORTVERSION=	0.2.2
-PORTREVISION=	4
+PORTREVISION=	5
 CATEGORIES=	cad
 MASTER_SITES=	SF/${PORTNAME}/${PORTNAME}-source/${PORTVERSION}
 

Modified: head/cad/repsnapper/Makefile
==============================================================================
--- head/cad/repsnapper/Makefile	Mon Dec 16 11:09:21 2013	(r336620)
+++ head/cad/repsnapper/Makefile	Mon Dec 16 11:11:09 2013	(r336621)
@@ -3,6 +3,7 @@
 
 PORTNAME=	repsnapper
 PORTVERSION=	2.3.2a3
+PORTREVISION=	1
 CATEGORIES=	cad
 MASTER_SITES=	https://codeload.github.com/timschmidt/repsnapper/tar.gz/
 DISTNAME=	${PORTVERSION}

Modified: head/deskutils/pinot/Makefile
==============================================================================
--- head/deskutils/pinot/Makefile	Mon Dec 16 11:09:21 2013	(r336620)
+++ head/deskutils/pinot/Makefile	Mon Dec 16 11:11:09 2013	(r336621)
@@ -3,7 +3,7 @@
 
 PORTNAME=	pinot
 PORTVERSION=	1.06
-PORTREVISION=	3
+PORTREVISION=	4
 CATEGORIES=	deskutils
 MASTER_SITES=	${MASTER_SITE_GOOGLE_CODE}
 #MASTER_SITES=	http://colinf.chez.com/pinot/

Modified: head/devel/gccmakedep/Makefile
==============================================================================
--- head/devel/gccmakedep/Makefile	Mon Dec 16 11:09:21 2013	(r336620)
+++ head/devel/gccmakedep/Makefile	Mon Dec 16 11:11:09 2013	(r336621)
@@ -13,10 +13,7 @@ XORG_CAT=	util
 
 BUILD_DEPENDS=	tradcpp:${PORTSDIR}/devel/tradcpp
 
-MAN1=		gccmakedep.1
-
-PLIST_FILES=	bin/gccmakedep
+PLIST_FILES=	bin/gccmakedep man/man1/gccmakedep.1.gz
 CONFIGURE_ENV+=	ac_cv_path_RAWCPP=tradcpp
 
-NO_STAGE=	yes
 .include <bsd.port.mk>

Modified: head/devel/libpciaccess/Makefile
==============================================================================
--- head/devel/libpciaccess/Makefile	Mon Dec 16 11:09:21 2013	(r336620)
+++ head/devel/libpciaccess/Makefile	Mon Dec 16 11:11:09 2013	(r336621)
@@ -14,5 +14,4 @@ CONFIGURE_ARGS+=	--with-pciids-path=${LO
 
 XORG_CAT=	lib
 
-NO_STAGE=	yes
 .include <bsd.port.mk>

Modified: head/devel/makedepend/Makefile
==============================================================================
--- head/devel/makedepend/Makefile	Mon Dec 16 11:09:21 2013	(r336620)
+++ head/devel/makedepend/Makefile	Mon Dec 16 11:11:09 2013	(r336621)
@@ -12,9 +12,6 @@ COMMENT=	Dependency generator for makefi
 XORG_CAT=	util
 USE_XORG=	xproto
 
-PLIST_FILES=	bin/makedepend
+PLIST_FILES=	bin/makedepend man/man1/makedepend.1.gz
 
-MAN1=		makedepend.1
-
-NO_STAGE=	yes
 .include <bsd.port.mk>

Modified: head/devel/xorg-macros/Makefile
==============================================================================
--- head/devel/xorg-macros/Makefile	Mon Dec 16 11:09:21 2013	(r336620)
+++ head/devel/xorg-macros/Makefile	Mon Dec 16 11:11:09 2013	(r336621)
@@ -2,7 +2,7 @@
 # $FreeBSD$
 
 PORTNAME=	xorg-macros
-PORTVERSION=	1.17.1
+PORTVERSION=	1.18.0
 CATEGORIES=	devel x11
 DISTNAME=	util-macros-$(PORTVERSION)
 

Modified: head/devel/xorg-macros/distinfo
==============================================================================
--- head/devel/xorg-macros/distinfo	Mon Dec 16 11:09:21 2013	(r336620)
+++ head/devel/xorg-macros/distinfo	Mon Dec 16 11:11:09 2013	(r336621)
@@ -1,2 +1,2 @@
-SHA256 (xorg/util/util-macros-1.17.1.tar.bz2) = 5e52654f2a0b04223cf28a9d7fd62cf288852e639ac13a75172fd47d0d6ac625
-SIZE (xorg/util/util-macros-1.17.1.tar.bz2) = 79105
+SHA256 (xorg/util/util-macros-1.18.0.tar.bz2) = e5e3d132a852f0576ea2cf831a9813c54a58810a59cdb198f56b884c5a78945b
+SIZE (xorg/util/util-macros-1.18.0.tar.bz2) = 77830

Modified: head/emulators/catapult/Makefile
==============================================================================
--- head/emulators/catapult/Makefile	Mon Dec 16 11:09:21 2013	(r336620)
+++ head/emulators/catapult/Makefile	Mon Dec 16 11:11:09 2013	(r336621)
@@ -3,7 +3,7 @@
 
 PORTNAME=	catapult
 PORTVERSION=	0.9.1
-PORTREVISION=	2
+PORTREVISION=	3
 CATEGORIES=	emulators
 MASTER_SITES=	SF/openmsx/openmsx/${PORTVERSION}
 DISTNAME=	openmsx-${PORTNAME}-${PORTVERSION}

Modified: head/emulators/qemu-devel/Makefile
==============================================================================
--- head/emulators/qemu-devel/Makefile	Mon Dec 16 11:09:21 2013	(r336620)
+++ head/emulators/qemu-devel/Makefile	Mon Dec 16 11:11:09 2013	(r336621)
@@ -3,6 +3,7 @@
 
 PORTNAME=	qemu
 PORTVERSION=	1.6.1
+PORTREVISION=	1
 CATEGORIES=	emulators
 MASTER_SITES=	http://wiki.qemu.org/download/:release \
 		LOCAL/nox:snapshot

Modified: head/emulators/tme/Makefile
==============================================================================
--- head/emulators/tme/Makefile	Mon Dec 16 11:09:21 2013	(r336620)
+++ head/emulators/tme/Makefile	Mon Dec 16 11:11:09 2013	(r336621)
@@ -3,7 +3,7 @@
 
 PORTNAME=	tme
 PORTVERSION=	0.8
-PORTREVISION=	2
+PORTREVISION=	3
 CATEGORIES=	emulators
 MASTER_SITES=	http://people.csail.mit.edu/fredette/tme/
 

Modified: head/emulators/virtualbox-ose-additions/Makefile
==============================================================================
--- head/emulators/virtualbox-ose-additions/Makefile	Mon Dec 16 11:09:21 2013	(r336620)
+++ head/emulators/virtualbox-ose-additions/Makefile	Mon Dec 16 11:11:09 2013	(r336621)
@@ -3,6 +3,7 @@
 
 PORTNAME=	virtualbox-ose
 DISTVERSION=	4.2.20
+PORTREVISION=	1
 CATEGORIES=	emulators
 MASTER_SITES=	http://download.virtualbox.org/virtualbox/${DISTVERSION}/ \
 		http://tmp.chruetertee.ch/ \

Modified: head/games/fuhquake/files/Makefile
==============================================================================
--- head/games/fuhquake/files/Makefile	Mon Dec 16 11:09:21 2013	(r336620)
+++ head/games/fuhquake/files/Makefile	Mon Dec 16 11:11:09 2013	(r336621)
@@ -187,7 +187,7 @@ CL_GLX_OBJS = \
 
 CL_COMMON_LIBS = -lm
 CL_X11_LIBS = -L${LOCALBASE}/lib -lX11 -lXext
-CL_GLX_LIBS = -L${LOCALBASE}/lib -lpng -ljpeg -L${LOCALBASE}/lib -lGL -lXxf86dga -lXxf86vm
+CL_GLX_LIBS = -L${LOCALBASE}/lib -lpng -ljpeg -L${LOCALBASE}/lib -lX11 -lGL -lXxf86dga -lXxf86vm
 
 .c.o:
 		${CC} ${DO_CFLAGS} -c $< -o $*.o

Modified: head/games/klavaro/Makefile
==============================================================================
--- head/games/klavaro/Makefile	Mon Dec 16 11:09:21 2013	(r336620)
+++ head/games/klavaro/Makefile	Mon Dec 16 11:11:09 2013	(r336621)
@@ -3,7 +3,7 @@
 
 PORTNAME=	klavaro
 PORTVERSION=	1.9.9
-PORTREVISION=	1
+PORTREVISION=	2
 CATEGORIES=	games
 MASTER_SITES=	SF/${PORTNAME}/
 

Modified: head/graphics/cairo/Makefile
==============================================================================
--- head/graphics/cairo/Makefile	Mon Dec 16 11:09:21 2013	(r336620)
+++ head/graphics/cairo/Makefile	Mon Dec 16 11:11:09 2013	(r336621)
@@ -4,7 +4,7 @@
 
 PORTNAME=	cairo
 PORTVERSION=	1.10.2
-PORTREVISION=	6
+PORTREVISION=	7
 PORTEPOCH?=	2
 CATEGORIES=	graphics
 MASTER_SITES=	http://cairographics.org/releases/

Modified: head/graphics/freeglut/Makefile
==============================================================================
--- head/graphics/freeglut/Makefile	Mon Dec 16 11:09:21 2013	(r336620)
+++ head/graphics/freeglut/Makefile	Mon Dec 16 11:11:09 2013	(r336621)
@@ -28,7 +28,6 @@ DOCS=	download.html freeglut.html freegl
 	progress.html structure.html
 BINS=	CallbackMaker Fractals Fractals_random Lorenz One shapes
 
-NO_STAGE=	yes
 .include <bsd.port.options.mk>
 
 pre-configure:
@@ -43,17 +42,17 @@ post-build:
 
 post-install:
 .if ${PORT_OPTIONS:MDOCS}
-	@${MKDIR} ${DOCSDIR}
+	@${MKDIR} ${STAGEDIR}${DOCSDIR}
 .for FILE in ${DOCS}
-	@${INSTALL_DATA} ${WRKSRC}/doc/${FILE} ${DOCSDIR}
+	@${INSTALL_DATA} ${WRKSRC}/doc/${FILE} ${STAGEDIR}${DOCSDIR}
 .endfor
 	@${ECHO_MSG} "===> Documentation installed in ${DOCSDIR}."
 .endif
 .if ${PORT_OPTIONS:MEXAMPLES}
-	@${MKDIR} ${EXAMPLESDIR}
-	@${INSTALL_DATA} ${WRKSRC}/progs/demos/Fractals/fractals.dat ${EXAMPLESDIR}
+	@${MKDIR} ${STAGEDIR}${EXAMPLESDIR}
+	@${INSTALL_DATA} ${WRKSRC}/progs/demos/Fractals/fractals.dat ${STAGEDIR}${EXAMPLESDIR}
 .for prog in ${BINS}
-	@${INSTALL_PROGRAM} ${WRKSRC}/progs/demos/${prog}/.libs/${prog:L} ${EXAMPLESDIR}
+	@${INSTALL_PROGRAM} ${WRKSRC}/progs/demos/${prog}/.libs/${prog:L} ${STAGEDIR}${EXAMPLESDIR}
 .endfor
 	@${ECHO_MSG} "===> Examples installed in ${EXAMPLESDIR}."
 .endif

Modified: head/graphics/libdrm/Makefile
==============================================================================
--- head/graphics/libdrm/Makefile	Mon Dec 16 11:09:21 2013	(r336620)
+++ head/graphics/libdrm/Makefile	Mon Dec 16 11:11:09 2013	(r336621)
@@ -17,7 +17,6 @@ USES=		pkgconfig
 USE_BZIP2=	yes
 GNU_CONFIGURE=	yes
 USE_LDCONFIG=	yes
-NO_STAGE=	yes
 
 OPTIONS_DEFINE=	MANPAGES
 
@@ -42,28 +41,22 @@ PLIST_SUB+=	KMS="@comment " NOUVEAU="@co
 .endif
 
 .if ${PORT_OPTIONS:MMANPAGES}
-BUILD_DEPENDS+=	${LOCALBASE}/share/xsl/docbook/manpages/docbook.xsl:${PORTSDIR}/textproc/docbook-xsl \
-		xsltproc:${PORTSDIR}/textproc/libxslt
-MAN3=		drmAvailable.3 \
-		drmHandleEvent.3 \
-		drmModeGetResources.3
-MAN7=		drm-gem.7 \
-		drm-kms.7 \
-		drm-memory.7 \
-		drm-mm.7 \
-		drm-ttm.7 \
-		drm.7
+BUILD_DEPENDS+=	${LOCALBASE}/share/xsl/docbook/manpages/docbook.xsl:${PORTSDIR}/textproc/docbook-xsl
+USE_GNOME+=	libxslt:build
+PLIST_SUB+=	MAN=""
 .else
 CONFIGURE_ARGS+=--disable-manpages
+PLIST_SUB+=	MAN="@comment "
 .endif
 
-LIBDRM_VERSION=	2.4.46
+LIBDRM_VERSION=	2.4.50
 LIBDRM_REVISION=0
 PLIST_SUB+=	OLD="@comment " NEW=""
 EXTRA_PATCHES+=	${FILESDIR}/extra-configure \
 		${FILESDIR}/extra-tests_modetest_Makefile.in \
 		${FILESDIR}/extra-tests_modetest_modetest.c \
-		${FILESDIR}/extra-tests_modetest_strchrnul.c
+		${FILESDIR}/extra-tests_modetest_strchrnul.c \
+		${FILESDIR}/extra-tests__radeon__radeon_ttm.c
 CONFIGURE_ARGS+=--disable-vmwgfx
 .else
 CONFIGURE_ARGS=	--enable-nouveau-experimental-api
@@ -85,4 +78,7 @@ pre-patch:
 			   s,i?86|x86_64),i?86|amd64|x86_64),g' \
 		${WRKSRC}/configure
 
+post-install:
+	@${STRIP_CMD} ${STAGEDIR}${PREFIX}/lib/lib*.so.*
+
 .include <bsd.port.mk>

Modified: head/graphics/libdrm/distinfo
==============================================================================
--- head/graphics/libdrm/distinfo	Mon Dec 16 11:09:21 2013	(r336620)
+++ head/graphics/libdrm/distinfo	Mon Dec 16 11:11:09 2013	(r336621)
@@ -1,4 +1,4 @@
 SHA256 (libdrm-2.4.17.tar.bz2) = b8a4e7c610b0e970546d791c06e28882857a49d34698633a89292d7ae142316a
 SIZE (libdrm-2.4.17.tar.bz2) = 408882
-SHA256 (libdrm-2.4.46.tar.bz2) = 33cf320dad4e8060768714792e12643ddf6756a719d262ba7d60b39c2b2650f1
-SIZE (libdrm-2.4.46.tar.bz2) = 554190
+SHA256 (libdrm-2.4.50.tar.bz2) = 3823d24cda800c2cd36995e01830b890edb8fb1bebf97d5ea4318b8c3933b045
+SIZE (libdrm-2.4.50.tar.bz2) = 563613

Added: head/graphics/libdrm/files/extra-tests__radeon__radeon_ttm.c
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/graphics/libdrm/files/extra-tests__radeon__radeon_ttm.c	Mon Dec 16 11:11:09 2013	(r336621)
@@ -0,0 +1,13 @@
+--- tests/radeon/radeon_ttm.c.orig	2013-11-07 11:34:28.207096353 +0100
++++ tests/radeon/radeon_ttm.c	2013-11-07 11:37:41.571085931 +0100
+@@ -25,6 +25,10 @@
+  */
+ #include <stdio.h>
+ #include <stdlib.h>
++#include <unistd.h>
++
++#include <xf86drm.h>
++
+ #include "rbo.h"
+ 
+ /* allocate as many single page bo to try to starve the kernel

Modified: head/graphics/libdrm/files/extra-tests_modetest_Makefile.in
==============================================================================
--- head/graphics/libdrm/files/extra-tests_modetest_Makefile.in	Mon Dec 16 11:09:21 2013	(r336620)
+++ head/graphics/libdrm/files/extra-tests_modetest_Makefile.in	Mon Dec 16 11:11:09 2013	(r336621)
@@ -1,6 +1,6 @@
---- tests/modetest/Makefile.in.orig	2013-04-04 15:41:48.212028807 +0200
-+++ tests/modetest/Makefile.in	2013-04-04 15:45:21.384003991 +0200
-@@ -36,8 +52,11 @@
+--- tests/modetest/Makefile.in.orig	2013-10-11 18:46:07.000000000 +0200
++++ tests/modetest/Makefile.in	2013-11-07 11:30:15.274123603 +0100
+@@ -80,8 +80,11 @@
  host_triplet = @host@
  @HAVE_INSTALL_TESTS_TRUE@bin_PROGRAMS = modetest$(EXEEXT)
  @HAVE_INSTALL_TESTS_FALSE@noinst_PROGRAMS = modetest$(EXEEXT)
@@ -12,9 +12,9 @@
 +@HAVE_CAIRO_TRUE@am__append_2 = $(CAIRO_CFLAGS)
 +@HAVE_CAIRO_TRUE@am__append_3 = $(CAIRO_LIBS)
  subdir = tests/modetest
- DIST_COMMON = $(srcdir)/Makefile.am $(srcdir)/Makefile.in
- ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
-@@ -53,7 +72,10 @@
+ DIST_COMMON = $(srcdir)/Makefile.in $(srcdir)/Makefile.am \
+ 	$(top_srcdir)/build-aux/depcomp
+@@ -98,7 +101,10 @@
  CONFIG_CLEAN_VPATH_FILES =
  am__installdirs = "$(DESTDIR)$(bindir)"
  PROGRAMS = $(bin_PROGRAMS) $(noinst_PROGRAMS)
@@ -26,23 +26,23 @@
  modetest_OBJECTS = $(am_modetest_OBJECTS)
  am__DEPENDENCIES_1 =
  @HAVE_CAIRO_TRUE@am__DEPENDENCIES_2 = $(am__DEPENDENCIES_1)
-@@ -229,12 +265,10 @@
- top_builddir = @top_builddir@
+@@ -306,12 +312,12 @@
  top_srcdir = @top_srcdir@
- AM_CFLAGS = -I$(top_srcdir)/include/drm -I$(top_srcdir)/libkms/ \
+ AM_CFLAGS = $(filter-out -Wpointer-arith, $(WARN_CFLAGS)) \
+ 	-I$(top_srcdir)/include/drm -I$(top_srcdir)/libkms/ \
 -	-I$(top_srcdir) $(am__append_1)
--modetest_SOURCES = \
--	buffers.c modetest.c buffers.h
--
 +	-I$(top_srcdir) $(am__append_2)
-+modetest_SOURCES = buffers.c modetest.c buffers.h $(am__append_1)
+ modetest_SOURCES = \
+-	buffers.c modetest.c buffers.h
++	buffers.c modetest.c buffers.h $(am__append_1)
+ 
  modetest_LDADD = $(top_builddir)/libdrm.la \
 -	$(top_builddir)/libkms/libkms.la $(am__append_2)
 +	$(top_builddir)/libkms/libkms.la $(am__append_3)
  all: all-am
  
  .SUFFIXES:
-@@ -333,6 +370,7 @@
+@@ -417,6 +423,7 @@
  
  @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/buffers.Po@am__quote@
  @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/modetest.Po@am__quote@

Modified: head/graphics/libdrm/files/extra-tests_modetest_modetest.c
==============================================================================
--- head/graphics/libdrm/files/extra-tests_modetest_modetest.c	Mon Dec 16 11:09:21 2013	(r336620)
+++ head/graphics/libdrm/files/extra-tests_modetest_modetest.c	Mon Dec 16 11:11:09 2013	(r336621)
@@ -1,6 +1,6 @@
---- tests/modetest/modetest.c.orig	2013-02-22 00:44:28.203705216 +0100
-+++ tests/modetest/modetest.c	2013-02-22 00:44:56.803699770 +0100
-@@ -57,6 +57,10 @@
+--- tests/modetest/modetest.c.orig	2013-09-16 22:56:20.000000000 +0200
++++ tests/modetest/modetest.c	2013-11-07 11:32:10.534114644 +0100
+@@ -59,6 +59,10 @@
  
  #include "buffers.h"
  
@@ -8,6 +8,6 @@
 +char *strchrnul(const char *, int);
 +#endif
 +
- drmModeRes *resources;
- int fd, modes;
- 
+ struct crtc {
+ 	drmModeCrtc *crtc;
+ 	drmModeObjectProperties *props;

Modified: head/graphics/libdrm/pkg-plist
==============================================================================
--- head/graphics/libdrm/pkg-plist	Mon Dec 16 11:09:21 2013	(r336620)
+++ head/graphics/libdrm/pkg-plist	Mon Dec 16 11:11:09 2013	(r336621)
@@ -70,6 +70,15 @@ libdata/pkgconfig/libdrm.pc
 %%NOUVEAU%%libdata/pkgconfig/libdrm_nouveau.pc
 %%NEW%%%%RADEON_DRIVERS%%libdata/pkgconfig/libdrm_radeon.pc
 %%NEW%%%%KMS%%libdata/pkgconfig/libkms.pc
+%%NEW%%%%MAN%%man/man3/drmAvailable.3.gz
+%%NEW%%%%MAN%%man/man3/drmHandleEvent.3.gz
+%%NEW%%%%MAN%%man/man3/drmModeGetResources.3.gz
+%%NEW%%%%MAN%%man/man7/drm-gem.7.gz
+%%NEW%%%%MAN%%man/man7/drm-kms.7.gz
+%%NEW%%%%MAN%%man/man7/drm-memory.7.gz
+%%NEW%%%%MAN%%man/man7/drm-mm.7.gz
+%%NEW%%%%MAN%%man/man7/drm-ttm.7.gz
+%%NEW%%%%MAN%%man/man7/drm.7.gz
 %%OLD%%@dirrm include/nouveau
 %%NEW%%%%KMS%%@dirrm include/libkms
 %%NEW%%@dirrm include/libdrm

Modified: head/graphics/libreatlas/Makefile
==============================================================================
--- head/graphics/libreatlas/Makefile	Mon Dec 16 11:09:21 2013	(r336620)
+++ head/graphics/libreatlas/Makefile	Mon Dec 16 11:11:09 2013	(r336621)
@@ -3,7 +3,7 @@
 
 PORTNAME=	libreatlas
 PORTVERSION=	1.0.0a
-PORTREVISION=	6
+PORTREVISION=	7
 CATEGORIES=	graphics geography
 MASTER_SITES=	http://www.gaia-gis.it/gaia-sins/
 

Modified: head/graphics/mesa-demos/Makefile
==============================================================================
--- head/graphics/mesa-demos/Makefile	Mon Dec 16 11:09:21 2013	(r336620)
+++ head/graphics/mesa-demos/Makefile	Mon Dec 16 11:11:09 2013	(r336621)
@@ -23,7 +23,6 @@ DATADIR=	${PREFIX}/share/${PKGNAMEPREFIX
 OPTIONS_DEFINE=	NVIDIA
 NVIDIA_DESC=	Use NVIDIA's libraries
 
-NO_STAGE=	yes
 post-patch:
 	@${REINPLACE_CMD} -e 's|-ffast-math|${FAST_MATH}|' -e 's|x86_64|amd64|' \
 		${WRKSRC}/configure

Modified: head/multimedia/freetuxtv/Makefile
==============================================================================
--- head/multimedia/freetuxtv/Makefile	Mon Dec 16 11:09:21 2013	(r336620)
+++ head/multimedia/freetuxtv/Makefile	Mon Dec 16 11:11:09 2013	(r336621)
@@ -3,7 +3,7 @@
 
 PORTNAME=	freetuxtv
 PORTVERSION=	0.6.5
-PORTREVISION=	7
+PORTREVISION=	8
 CATEGORIES=	multimedia
 MASTER_SITES=	GOOGLE_CODE
 

Modified: head/net/cvsup/Makefile
==============================================================================
--- head/net/cvsup/Makefile	Mon Dec 16 11:09:21 2013	(r336620)
+++ head/net/cvsup/Makefile	Mon Dec 16 11:11:09 2013	(r336621)
@@ -3,7 +3,7 @@
 
 PORTNAME=	cvsup
 PORTVERSION=	16.1h
-PORTREVISION=	5
+PORTREVISION=	6
 CATEGORIES=	net devel
 MASTER_SITES=	${MASTER_SITE_FREEBSD_ORG}
 MASTER_SITE_SUBDIR=development/CVSup/snapshots

Modified: head/net/tigervnc/Makefile
==============================================================================
--- head/net/tigervnc/Makefile	Mon Dec 16 11:09:21 2013	(r336620)
+++ head/net/tigervnc/Makefile	Mon Dec 16 11:11:09 2013	(r336621)
@@ -3,7 +3,7 @@
 
 PORTNAME=	tigervnc
 PORTVERSION=	1.3.0
-PORTREVISION=	2
+PORTREVISION=	3
 CATEGORIES=	net x11-servers
 MASTER_SITES=	SF:tigervnc
 MASTER_SITE_SUBDIR=	${PORTNAME}/${PORTNAME}/${PORTVERSION}/:tigervnc

Modified: head/print/photoprint/Makefile
==============================================================================
--- head/print/photoprint/Makefile	Mon Dec 16 11:09:21 2013	(r336620)
+++ head/print/photoprint/Makefile	Mon Dec 16 11:11:09 2013	(r336621)
@@ -2,7 +2,7 @@
 
 PORTNAME=	photoprint
 DISTVERSION=	0.4.2-pre2
-PORTREVISION=	1
+PORTREVISION=	2
 CATEGORIES=	print graphics
 MASTER_SITES=	http://www.blackfiveimaging.co.uk/photoprint/
 

Modified: head/sysutils/gtk-imonc/Makefile
==============================================================================
--- head/sysutils/gtk-imonc/Makefile	Mon Dec 16 11:09:21 2013	(r336620)
+++ head/sysutils/gtk-imonc/Makefile	Mon Dec 16 11:11:09 2013	(r336621)
@@ -3,7 +3,7 @@
 
 PORTNAME=	gtk-imonc
 PORTVERSION=	0.6.4.1
-PORTREVISION=	13
+PORTREVISION=	14
 CATEGORIES=	sysutils
 MASTER_SITES=	http://stefan-strigler.de/download/
 

Modified: head/sysutils/nitrogen/Makefile
==============================================================================
--- head/sysutils/nitrogen/Makefile	Mon Dec 16 11:09:21 2013	(r336620)
+++ head/sysutils/nitrogen/Makefile	Mon Dec 16 11:11:09 2013	(r336621)
@@ -3,7 +3,7 @@
 
 PORTNAME=	nitrogen
 PORTVERSION=	1.5.2
-PORTREVISION=	3
+PORTREVISION=	4
 CATEGORIES=	sysutils
 MASTER_SITES=	http://projects.l3ib.org/nitrogen/files/
 

Modified: head/textproc/xorg-sgml-doctools/Makefile
==============================================================================
--- head/textproc/xorg-sgml-doctools/Makefile	Mon Dec 16 11:09:21 2013	(r336620)
+++ head/textproc/xorg-sgml-doctools/Makefile	Mon Dec 16 11:11:09 2013	(r336621)
@@ -13,5 +13,4 @@ XORG_CAT=       doc
 USE_GMAKE=	yes
 USES=		pathfix
 
-NO_STAGE=	yes
 .include <bsd.port.mk>

Modified: head/x11-clocks/oclock/Makefile
==============================================================================
--- head/x11-clocks/oclock/Makefile	Mon Dec 16 11:09:21 2013	(r336620)
+++ head/x11-clocks/oclock/Makefile	Mon Dec 16 11:11:09 2013	(r336621)
@@ -10,7 +10,4 @@ COMMENT=	Round clock application for X
 XORG_CAT=	app
 USE_XORG=	x11 xmu xext xt xkbfile
 
-MAN1=		oclock.1
-
-NO_STAGE=	yes
 .include <bsd.port.mk>

Modified: head/x11-clocks/oclock/pkg-plist
==============================================================================
--- head/x11-clocks/oclock/pkg-plist	Mon Dec 16 11:09:21 2013	(r336620)
+++ head/x11-clocks/oclock/pkg-plist	Mon Dec 16 11:11:09 2013	(r336621)
@@ -1,4 +1,5 @@
 bin/oclock
+man/man1/oclock.1.gz
 share/X11/app-defaults/Clock-color
 @dirrmtry share/X11/app-defaults
 @dirrmtry share/X11

Modified: head/x11-clocks/xclock/Makefile
==============================================================================
--- head/x11-clocks/xclock/Makefile	Mon Dec 16 11:09:21 2013	(r336620)
+++ head/x11-clocks/xclock/Makefile	Mon Dec 16 11:11:09 2013	(r336621)
@@ -12,7 +12,4 @@ XORG_CAT=	app
 USE_XORG=	xrender xft xkbfile xt xaw
 USES=		iconv
 
-MAN1=		xclock.1
-
-NO_STAGE=	yes
 .include <bsd.port.mk>

Modified: head/x11-clocks/xclock/pkg-plist
==============================================================================
--- head/x11-clocks/xclock/pkg-plist	Mon Dec 16 11:09:21 2013	(r336620)
+++ head/x11-clocks/xclock/pkg-plist	Mon Dec 16 11:11:09 2013	(r336621)
@@ -1,4 +1,5 @@
 bin/xclock
+man/man1/xclock.1.gz
 share/X11/app-defaults/XClock-color
 share/X11/app-defaults/XClock
 @dirrmtry share/X11/app-defaults

Modified: head/x11-drivers/input-wacom/Makefile
==============================================================================
--- head/x11-drivers/input-wacom/Makefile	Mon Dec 16 11:09:21 2013	(r336620)
+++ head/x11-drivers/input-wacom/Makefile	Mon Dec 16 11:11:09 2013	(r336621)
@@ -3,7 +3,7 @@
 
 PORTNAME=	input-wacom
 PORTVERSION=	${KLD_VERSION}.${WACOM_VERSION:C/-/./g}
-PORTREVISION=	1
+PORTREVISION=	3
 CATEGORIES=	x11-drivers kld
 MASTER_SITES=	http://www.chillt.de/bsdwacom/:bsdwacom \
 		SF/linuxwacom/xf86-input-wacom/:linuxwacom

Modified: head/x11-drivers/xf86-input-acecad/Makefile
==============================================================================
--- head/x11-drivers/xf86-input-acecad/Makefile	Mon Dec 16 11:09:21 2013	(r336620)
+++ head/x11-drivers/xf86-input-acecad/Makefile	Mon Dec 16 11:11:09 2013	(r336621)
@@ -2,13 +2,12 @@
 
 PORTNAME=	xf86-input-acecad
 PORTVERSION=	1.5.0
+PORTREVISION=	1
 CATEGORIES=	x11-drivers
 
 MAINTAINER=	x11@FreeBSD.org
 COMMENT=	X.Org acecad input driver
 
 XORG_CAT=	driver
-MAN4=		acecad.4x
 
-NO_STAGE=	yes
 .include <bsd.port.mk>

Modified: head/x11-drivers/xf86-input-acecad/pkg-plist
==============================================================================
--- head/x11-drivers/xf86-input-acecad/pkg-plist	Mon Dec 16 11:09:21 2013	(r336620)
+++ head/x11-drivers/xf86-input-acecad/pkg-plist	Mon Dec 16 11:11:09 2013	(r336621)
@@ -1,5 +1,6 @@
 lib/xorg/modules/input/acecad_drv.la
 lib/xorg/modules/input/acecad_drv.so
+man/man4/acecad.4x.gz
 @dirrmtry lib/xorg/modules/input
 @dirrmtry lib/xorg/modules
 @dirrmtry lib/xorg

Modified: head/x11-drivers/xf86-input-elographics/Makefile
==============================================================================
--- head/x11-drivers/xf86-input-elographics/Makefile	Mon Dec 16 11:09:21 2013	(r336620)
+++ head/x11-drivers/xf86-input-elographics/Makefile	Mon Dec 16 11:11:09 2013	(r336621)
@@ -9,7 +9,8 @@ MAINTAINER=	x11@FreeBSD.org
 COMMENT=	X.Org elographics input driver
 
 XORG_CAT=	driver
-MAN4=		elographics.4x
+
+.include <bsd.port.options.mk>
 
 .if defined(WITH_NEW_XORG)
 ELO_VERSION=	1.4.1
@@ -19,5 +20,4 @@ ELO_VERSION=	1.2.4
 ELO_REVISION=	0
 .endif
 
-NO_STAGE=	yes
 .include <bsd.port.mk>

Modified: head/x11-drivers/xf86-input-elographics/pkg-plist
==============================================================================
--- head/x11-drivers/xf86-input-elographics/pkg-plist	Mon Dec 16 11:09:21 2013	(r336620)
+++ head/x11-drivers/xf86-input-elographics/pkg-plist	Mon Dec 16 11:11:09 2013	(r336621)
@@ -1,5 +1,6 @@
 lib/xorg/modules/input/elographics_drv.la
 lib/xorg/modules/input/elographics_drv.so
+man/man4/elographics.4x.gz
 @dirrmtry lib/xorg/modules/input
 @dirrmtry lib/xorg/modules
 @dirrmtry lib/xorg

Modified: head/x11-drivers/xf86-input-fpit/Makefile
==============================================================================
--- head/x11-drivers/xf86-input-fpit/Makefile	Mon Dec 16 11:09:21 2013	(r336620)
+++ head/x11-drivers/xf86-input-fpit/Makefile	Mon Dec 16 11:11:09 2013	(r336621)
@@ -2,6 +2,7 @@
 
 PORTNAME=	xf86-input-fpit
 PORTVERSION=	1.4.0
+PORTREVISION=	1
 CATEGORIES=	x11-drivers
 
 MAINTAINER=	x11@FreeBSD.org
@@ -10,6 +11,8 @@ COMMENT=	X.Org fpit input driver
 XORG_CAT=	driver
 USE_XORG=	xrandr
 
+.include <bsd.port.options.mk>
+
 .if !defined(WITH_NEW_XORG)
 IGNORE=		does not build with X server 1.7.7
 .endif

Modified: head/x11-drivers/xf86-input-hyperpen/Makefile
==============================================================================
--- head/x11-drivers/xf86-input-hyperpen/Makefile	Mon Dec 16 11:09:21 2013	(r336620)
+++ head/x11-drivers/xf86-input-hyperpen/Makefile	Mon Dec 16 11:11:09 2013	(r336621)
@@ -10,6 +10,8 @@ COMMENT=	X.Org hyperpen input driver
 
 XORG_CAT=	driver
 
+.include <bsd.port.options.mk>
+
 .if defined(WITH_NEW_XORG)
 HYPERVER=	1.4.1
 HYPERREVISION=	0
@@ -19,5 +21,4 @@ HYPERREVISION=	6
 EXTRA_PATCHES+=	${FILESDIR}/extra-patch-src_xf86HyperPen.c
 .endif
 
-NO_STAGE=	yes
 .include <bsd.port.mk>

Modified: head/x11-drivers/xf86-input-joystick/Makefile
==============================================================================
--- head/x11-drivers/xf86-input-joystick/Makefile	Mon Dec 16 11:09:21 2013	(r336620)
+++ head/x11-drivers/xf86-input-joystick/Makefile	Mon Dec 16 11:11:09 2013	(r336621)
@@ -9,7 +9,8 @@ MAINTAINER=	x11@FreeBSD.org
 COMMENT=	X.Org joystick input driver
 
 XORG_CAT=	driver
-MAN4=		joystick.4x
+
+.include <bsd.port.options.mk>
 
 .if defined(WITH_NEW_XORG)
 JOYVER=		1.6.2
@@ -19,7 +20,6 @@ JOYVER=		1.5.0
 JOYREVISION=	1
 .endif
 
-NO_STAGE=	yes
 post-patch:
 	@${REINPLACE_CMD} -e 's|[(]libdir[)]/pkgconfig|(prefix)/libdata/pkgconfig|g' \
 		${WRKSRC}/Makefile.in

Modified: head/x11-drivers/xf86-input-joystick/pkg-plist
==============================================================================
--- head/x11-drivers/xf86-input-joystick/pkg-plist	Mon Dec 16 11:09:21 2013	(r336620)
+++ head/x11-drivers/xf86-input-joystick/pkg-plist	Mon Dec 16 11:11:09 2013	(r336621)
@@ -2,6 +2,7 @@ include/xorg/joystick-properties.h
 lib/xorg/modules/input/joystick_drv.la
 lib/xorg/modules/input/joystick_drv.so
 libdata/pkgconfig/xorg-joystick.pc
+man/man4/joystick.4x.gz
 @dirrmtry lib/xorg/modules/input
 @dirrmtry lib/xorg/modules
 @dirrmtry lib/xorg

Modified: head/x11-drivers/xf86-input-keyboard/Makefile
==============================================================================
--- head/x11-drivers/xf86-input-keyboard/Makefile	Mon Dec 16 11:09:21 2013	(r336620)
+++ head/x11-drivers/xf86-input-keyboard/Makefile	Mon Dec 16 11:11:09 2013	(r336621)
@@ -1,7 +1,7 @@
 # $FreeBSD$
 
 PORTNAME=	xf86-input-keyboard
-PORTVERSION=	1.7.0
+PORTVERSION=	1.8.0
 CATEGORIES=	x11-drivers
 
 MAINTAINER=	x11@FreeBSD.org
@@ -9,7 +9,5 @@ COMMENT=	X.Org keyboard input driver
 
 XORG_CAT=	driver
 USE_XORG=	kbproto
-MAN4=		kbd.4x
 
-NO_STAGE=	yes
 .include <bsd.port.mk>

Modified: head/x11-drivers/xf86-input-keyboard/distinfo
==============================================================================
--- head/x11-drivers/xf86-input-keyboard/distinfo	Mon Dec 16 11:09:21 2013	(r336620)
+++ head/x11-drivers/xf86-input-keyboard/distinfo	Mon Dec 16 11:11:09 2013	(r336621)
@@ -1,2 +1,2 @@
-SHA256 (xorg/driver/xf86-input-keyboard-1.7.0.tar.bz2) = 0cd5e2845149c7f0e19ec830c6914b7f3d154bff134ce84519e39f16ce65523c
-SIZE (xorg/driver/xf86-input-keyboard-1.7.0.tar.bz2) = 319043
+SHA256 (xorg/driver/xf86-input-keyboard-1.8.0.tar.bz2) = 41c51c4e0a87aad6a1c4973c68a8de23b61162d0223f4ab36c627c307830cb5b
+SIZE (xorg/driver/xf86-input-keyboard-1.8.0.tar.bz2) = 323838

Added: head/x11-drivers/xf86-input-keyboard/files/patch-src__bsd_kbd.c
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/x11-drivers/xf86-input-keyboard/files/patch-src__bsd_kbd.c	Mon Dec 16 11:11:09 2013	(r336621)
@@ -0,0 +1,14 @@
+Index: src/bsd_kbd.c
+@@ -205,6 +205,12 @@
+ #endif
+         }
+     }
++/*
++ * Switch keyboards which are not attached to console in RAW mode
++ */
++#if defined (SYSCONS_SUPPORT) || defined (PCVT_SUPPORT)
++	ioctl(pInfo->fd, KDSKBMODE, K_RAW);
++#endif
+     return Success;
+ }
+ 

Added: head/x11-drivers/xf86-input-keyboard/files/patch-src__kbd.c
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/x11-drivers/xf86-input-keyboard/files/patch-src__kbd.c	Mon Dec 16 11:11:09 2013	(r336621)
@@ -0,0 +1,24 @@
+Index: src/kbd.c
+@@ -25,6 +25,7 @@
+ 
+ #include "xf86.h"
+ #include "atKeynames.h"
++#include "xf86Priv.h"
+ #include "xf86Privstr.h"
+ 
+ #include <X11/extensions/XI.h>
+@@ -392,6 +393,14 @@
+       RemoveEnabledDevice(pInfo->fd);
+     pKbd->KbdOff(pInfo, what);
+     device->public.on = FALSE;
++	/*
++	 * Close device file for keyboards which are not attached
++	 * to console, otherwise they can't be opened again after
++	 * relogin when using session manager like xdm.
++	 * X server will take care about console attached keyboards.
++	 */
++	if (pInfo->fd != xf86Info.consoleFd)
++		close(pInfo->fd);
+     break;
+ 
+   default:

Modified: head/x11-drivers/xf86-input-keyboard/pkg-plist
==============================================================================
--- head/x11-drivers/xf86-input-keyboard/pkg-plist	Mon Dec 16 11:09:21 2013	(r336620)
+++ head/x11-drivers/xf86-input-keyboard/pkg-plist	Mon Dec 16 11:11:09 2013	(r336621)
@@ -1,5 +1,6 @@
 lib/xorg/modules/input/kbd_drv.la
 lib/xorg/modules/input/kbd_drv.so
+man/man4/kbd.4x.gz
 @dirrmtry lib/xorg/modules/input
 @dirrmtry lib/xorg/modules
 @dirrmtry lib/xorg

Modified: head/x11-drivers/xf86-input-magictouch/Makefile
==============================================================================
--- head/x11-drivers/xf86-input-magictouch/Makefile	Mon Dec 16 11:09:21 2013	(r336620)
+++ head/x11-drivers/xf86-input-magictouch/Makefile	Mon Dec 16 11:11:09 2013	(r336621)
@@ -8,11 +8,13 @@ CATEGORIES=	x11-drivers
 MAINTAINER=	x11@FreeBSD.org
 COMMENT=	X.Org magictouch input driver
 
+.include <bsd.port.options.mk>
+
+.if defined(WITH_NEW_XORG)
 IGNORE=		needs xf86_ansic.h which doesn't exist with recent xserver
+.endif
 
 XORG_CAT=	driver
-MAN4=		magictouch.4x
 USE_AUTOTOOLS=	libtool
 
-NO_STAGE=	yes
 .include <bsd.port.mk>

Modified: head/x11-drivers/xf86-input-magictouch/pkg-plist
==============================================================================
--- head/x11-drivers/xf86-input-magictouch/pkg-plist	Mon Dec 16 11:09:21 2013	(r336620)
+++ head/x11-drivers/xf86-input-magictouch/pkg-plist	Mon Dec 16 11:11:09 2013	(r336621)
@@ -1,6 +1,7 @@
 lib/xorg/modules/input/magictouch_drv.a
 lib/xorg/modules/input/magictouch_drv.la
 lib/xorg/modules/input/magictouch_drv.so
+man/man4/magictouch.4x.gz
 @dirrmtry lib/xorg/modules/input
 @dirrmtry lib/xorg/modules
 @dirrmtry lib/xorg

Modified: head/x11-drivers/xf86-input-mouse/Makefile
==============================================================================
--- head/x11-drivers/xf86-input-mouse/Makefile	Mon Dec 16 11:09:21 2013	(r336620)
+++ head/x11-drivers/xf86-input-mouse/Makefile	Mon Dec 16 11:11:09 2013	(r336621)
@@ -2,6 +2,7 @@
 
 PORTNAME=	xf86-input-mouse
 PORTVERSION=	1.9.0
+PORTREVISION=	1
 CATEGORIES=	x11-drivers
 
 MAINTAINER=	x11@FreeBSD.org
@@ -9,7 +10,5 @@ COMMENT=	X.Org mouse input driver
 
 XORG_CAT=	driver
 USES=		pathfix
-MAN4=		mousedrv.4x
 
-NO_STAGE=	yes
 .include <bsd.port.mk>

Modified: head/x11-drivers/xf86-input-mouse/pkg-plist
==============================================================================
--- head/x11-drivers/xf86-input-mouse/pkg-plist	Mon Dec 16 11:09:21 2013	(r336620)
+++ head/x11-drivers/xf86-input-mouse/pkg-plist	Mon Dec 16 11:11:09 2013	(r336621)
@@ -2,6 +2,7 @@ include/xorg/xf86-mouse-properties.h
 lib/xorg/modules/input/mouse_drv.la
 lib/xorg/modules/input/mouse_drv.so
 libdata/pkgconfig/xorg-mouse.pc
+man/man4/mousedrv.4x.gz
 @dirrmtry lib/xorg/modules/input
 @dirrmtry lib/xorg/modules
 @dirrmtry lib/xorg

Modified: head/x11-drivers/xf86-input-mutouch/Makefile
==============================================================================
--- head/x11-drivers/xf86-input-mutouch/Makefile	Mon Dec 16 11:09:21 2013	(r336620)
+++ head/x11-drivers/xf86-input-mutouch/Makefile	Mon Dec 16 11:11:09 2013	(r336621)
@@ -8,13 +8,11 @@ MAINTAINER=	x11@FreeBSD.org
 COMMENT=	X.Org mutouch input driver
 
 XORG_CAT=	driver
-MAN4=		mutouch.4x
+
+.include <bsd.port.options.mk>
 
 .if !defined(WITH_NEW_XORG)
 IGNORE=		does not build with xorg-server 1.7.7
-.else
-
 .endif
 
-NO_STAGE=	yes
 .include <bsd.port.mk>

Modified: head/x11-drivers/xf86-input-mutouch/pkg-plist
==============================================================================
--- head/x11-drivers/xf86-input-mutouch/pkg-plist	Mon Dec 16 11:09:21 2013	(r336620)
+++ head/x11-drivers/xf86-input-mutouch/pkg-plist	Mon Dec 16 11:11:09 2013	(r336621)
@@ -1,5 +1,6 @@
 lib/xorg/modules/input/mutouch_drv.la
 lib/xorg/modules/input/mutouch_drv.so
+man/man4/mutouch.4x.gz
 @dirrmtry lib/xorg/modules/input
 @dirrmtry lib/xorg/modules
 @dirrmtry lib/xorg

Modified: head/x11-drivers/xf86-input-penmount/Makefile
==============================================================================
--- head/x11-drivers/xf86-input-penmount/Makefile	Mon Dec 16 11:09:21 2013	(r336620)
+++ head/x11-drivers/xf86-input-penmount/Makefile	Mon Dec 16 11:11:09 2013	(r336621)
@@ -9,7 +9,8 @@ MAINTAINER=	x11@FreeBSD.org
 COMMENT=	X.Org penmount input driver
 
 XORG_CAT=	driver
-MAN4=		penmount.4x
+
+.include <bsd.port.options.mk>
 
 .if defined(WITH_NEW_XORG)
 PEN_VERSION=	1.5.0
@@ -19,5 +20,4 @@ PEN_VERSION=	1.4.1
 PEN_REVISION=	1
 .endif
 
-NO_STAGE=	yes
 .include <bsd.port.mk>

Modified: head/x11-drivers/xf86-input-penmount/pkg-plist
==============================================================================
--- head/x11-drivers/xf86-input-penmount/pkg-plist	Mon Dec 16 11:09:21 2013	(r336620)
+++ head/x11-drivers/xf86-input-penmount/pkg-plist	Mon Dec 16 11:11:09 2013	(r336621)
@@ -1,5 +1,6 @@
 lib/xorg/modules/input/penmount_drv.la
 lib/xorg/modules/input/penmount_drv.so
+man/man4/penmount.4x.gz
 @dirrmtry lib/xorg/modules/input
 @dirrmtry lib/xorg/modules
 @dirrmtry lib/xorg

Modified: head/x11-drivers/xf86-input-synaptics/Makefile
==============================================================================
--- head/x11-drivers/xf86-input-synaptics/Makefile	Mon Dec 16 11:09:21 2013	(r336620)
+++ head/x11-drivers/xf86-input-synaptics/Makefile	Mon Dec 16 11:11:09 2013	(r336621)
@@ -10,29 +10,12 @@ COMMENT=	X.Org synaptics input driver
 
 CONFLICTS=	synaptics-[0-9]*
 
-OPTIONS_DEFINE=	HAL
-OPTIONS_DEFAULT=HAL
-
-NO_STAGE=	yes
-.include <bsd.port.options.mk>
-
 USES=		pathfix
 USE_XORG=	x11 xtst
 XORG_CAT=	driver
 
-.if ${PORT_OPTIONS:MHAL}
-PLIST_SUB+=	HAL=""
-LIB_DEPENDS+=	hal.1:${PORTSDIR}/sysutils/hal
-.else
-PLIST_SUB+=	HAL="@comment "
-.endif
-
-MAN1=		syndaemon.1 \
-		synclient.1
-MAN4=		synaptics.4x
-
 .if defined(WITH_NEW_XORG)
-SYNAPTICS_VERSION=	1.7.1
+SYNAPTICS_VERSION=	1.7.2

*** DIFF OUTPUT TRUNCATED AT 1000 LINES ***
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 4 Bryan Drewery freebsd_committer 2013-12-22 15:03:01 UTC
State Changed
From-To: open->closed

committed